<? $this->sitePath()->prepend('Feedback', '') ?>
<? $seo = $this->seo('feedback-page', null, array(), true) ?>
<? $this->headScript()->appendFile(_st('contacts.js'), 'text/javascript');?>
<? $m_static = new Model_StaticPage(); ?>

<?
	$back_url = '';
	if ( $_SERVER['HTTP_REFERER'] ) {
		$back_url = $_SERVER['HTTP_REFERER'];
	}
?>

<style type="text/css">
	#contact_info { border: 1px solid #ceebf3; padding: 10px 30px 10px 10px; margin: 20px 10px 20px 10px; }
	#contact_info .info_box { width: 285px; padding-left: 20px; margin: auto;}
	#contact_info .info_box p.head { font-size: 14px; color: #356aa0; font-weight: bold; margin-bottom: 2px; }
	#contact_info .info_box a { color: #356aa0; }
	#contact_info .info_box span { line-height: 16px; }
	#contact_info .info_box span.sep { color: #c4c4c4; }
	#contact_info .info_box span.b { font-weight: bold; }
	
	#contact_info .info_box .i { margin-bottom: 20px; }
	#contact_info .no-border { border: 0; }
	
	#contact_p {margin-bottom: 50px;}
	#contact_p .contact_form { margin: 0 auto; width: 520px; /*border: 1px solid red;*/ margin-top: 20px; margin-bottom: 50px;}
	#contact_p .contact_form h2 { color: green; }
	#contact_p .contact_form .tt { margin-bottom: 20px; margin-top: 30px;text-align: center; font-size:14px; border:1px solid #838383; padding: 10px; }
	#contact_p .contact_form .tt span { color: #f52591; }
	#contact_p .contact_form .row { margin-bottom: 7px; }
	#contact_p .contact_form .row label { float: left; display: block; width: 75px; text-align: right; margin-right: 10px; color: #293424; font-weight: bold; margin-top: 5px; }
	#contact_p .contact_form .row label span { color: #f52591; }
	#contact_p .contact_form .in { float: left; }
	#contact_p .contact_form .in input { background:url("<?= _st('v2.1/contact_input_bg.png') ?>") repeat-x top left; border: 1px solid #bfbebf; height: 23px; padding: 0 5px 0 5px; width: 260px; }
	#contact_p .contact_form .in textarea { background:url("<?= _st('v2.1/contact_text_bg.png') ?>") repeat-x top left; border: 1px solid #bfbebf; height: 100px; padding: 0 5px 0 5px; width: 260px; background-color: #ededed; }
	#contact_p .contact_form p.e { float: left; color: red; margin-left: 10px; width: 150px; }
	#contact_p .contact_form .c-submit { background:url("<?= _st('v2.1/contact_btn_bg.png') ?>") no-repeat top left; overflow:hidden; text-indent:-1000em; border: 0; width: 64px; height: 27px; cursor: pointer; margin: 10px 0 0 292px;}
	.w171 { width: 171px !important; }
	
	
	#contact_p .box {
		padding-top: 15px;
		width: 780px;
		margin: 0 auto;
	}

	#contact_p .box .header {
		border: 1px solid #c8e7ff;
		color: #333;
		font-weight: bold;
		background-color: #f0f3f9;
		padding: 5px 10px;
		font-size: 12px;
	}
	
	#contact_p .box .body {
		border: 1px solid #c8e7ff;
		border-top: none;
		padding: 30px 0px 15px 0px;
	}
	
	#contact_p .banners {
		margin: 0 auto;
		width: 485px;
	}

	#contact_p .banners p {
		margin-bottom: 15px;
	}
</style>

<!-- <button id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></button> -->
<a href="<?= $back_url ?>" id="global-btn-back"><img src="<?= _st('v2.1/btn_back.gif') ?>" alt="Back" /></a>
<h1 id="heading"><?= __('contact_page') ?></h1>
<div class="clear"></div>


<div id="contact_p">
	
	<?= $m_static->getBySlug('contact-us-top', Cubix_Application::getId(), Cubix_I18n::getLang())->body ?>
	
	<div class="contact_form">
		<? if ( !$this->success ): ?><p class="tt">(<span>*</span>) sind Pflicht-Felder!</p><? endif ?>
		<? if ( $this->success ): ?><h2 class="tt " style=" ">Thank you for your message. You will be contacted by one of our site admins shortly.</h2>
		<? else: ?>
		<form action="<?= $this->getLink('contact') ?>" method="post">
			<input type="hidden" name="to" value="<?= $this->data['to'] ?>" />
			<? if ( $this->data['about'] ): ?><input type="hidden" name="about" value="<?= $this->data['about'] ?>" /><? endif ?>
			
			<div class="row">
				<label>Firma: </label>
				<div class="in"><input type="text" value="" name="company" /></div>
				<div class="clear"></div>
			</div>
			<div class="row">
				<label><span>* </span>Name: </label>
				<div class="in"><input type="text" value="" name="name" /></div>
				<? if ( isset($this->errors['name']) ): ?><p class="e"><?= $this->errors['name'] ?><p><? endif ?>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label>Strasse: </label>
				<div class="in"><input type="text" value="" name="street" /></div>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label>PLZ: </label>
				<div class="in"><input type="text" value="" name="plz" /></div>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label>Ort: </label>
				<div class="in"><input type="text" value="" name="ort" /></div>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label>Tel: </label>
				<div class="in"><input type="text" value="" name="phone" /></div>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label><span>* </span>Email: </label>
				<div class="in"><input type="text" value="" name="email" /></div>
				<? if ( isset($this->errors['email']) ): ?><p class="e"><?= $this->errors['email'] ?><p><? endif; ?>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label><span>* </span>Anfrage: </label>
				<div class="in"><textarea name="message"></textarea></div>
				<? if ( isset($this->errors['message']) ): ?><p class="e"><?= $this->errors['message'] ?></p><? endif ?>
				<div class="clear"></div>
			</div>
			
			<div class="row">
				<label><span>* </span>Prüfzahl eintragen: </label>
				<div class="in"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></div>
				<div class="in"><input type="text" class="w171" value="" name="captcha" /></div>
				<? if ( isset($this->errors['captcha']) ): ?><p class="e"><?= $this->errors['captcha'] ?></p><? endif ?>
				<div class="clear"></div>
			</div>
			
			
			<input type="submit" value="Submit" class="c-submit" />
			<? endif ?>
		</form>
	</div>
	
	<div class="box">
		<div class="header">
			Link exchange
		</div>
		<div class="body">
			<div class="banners">
				<?= $m_static->getBySlug('contact-us-bottom', Cubix_Application::getId(), Cubix_I18n::getLang())->body ?>
			</div>
		</div>
	</div>
	
</div>